version: 2

models:
  - name: employee_directory_analysis
    description: Gives the current state of the employees at GitLab at any point of time. This is the model to use for headcount, team size, or any people-related analysis for employees. This has current and past employees, as well as their department, division, and cost center and hire/termination dates.
    columns:
    - name: date_actual
      tests:
      - not_null
    - name: full_name
      tests:
      - not_null
    - name: job_title
    - name: department
    - name: division
    - name: location_factor
    - name: is_hire_date
      tests:
      - not_null
    - name: is_termination_date
      tests:
      - not_null
  - name: employee_directory
    description: INCLUDES SENSITIVE INFORMATION. The master collection of all info about GitLab employees for their latest position.
    columns:
    - name: employee_id
      tests:
      - not_null
      - unique
    - name: employee_number
      tests:
      - not_null
      - unique
    - name: first_name
      tests:
      - not_null
    - name: last_name
      tests:
      - not_null
    - name: job_title
    - name: supervisor
    - name: work_email
    - name: hire_date
      tests:
       - not_null
    - name: termination_date
    - name: department
    - name: division
    - name: cost_center
    - name: location_factor
  - name: bamboohr_discretionary_bonuses
    description: This model contains a list of Discretionary bonuses awarded (excludes other types of bonuses).
    columns:
    - name: bonus_id
      tests:
        - not_null
        - unique
    - name: bonus_date
      tests:
        - not_null
